1. AC Question's Avatar
    I have an old HTC Legend phone, on Android 2.2, browser Webkit 3.1. I haven't been able to locate an old Viber version that is compatible with this device and android 2.2.
    Please help as I can't afford a new smart phone.
    03-04-2017 07:58 AM
  2. Rukbat's Avatar
    03-04-2017 02:09 PM

Similar Threads

  1. Higher RAM usage after Android N update?
    By 4Seasons_Winter in forum Huawei P9 & P9 Plus
    Replies: 2
    Last Post: 03-11-2017, 05:14 PM
  2. Replies: 1
    Last Post: 03-06-2017, 02:44 AM
  3. Replies: 1
    Last Post: 03-04-2017, 08:00 AM
  4. Can You Escape From The Gym
    By Knfandroid game in forum Android Games
    Replies: 1
    Last Post: 03-04-2017, 07:17 AM
  5. Looking to come back to android- security patches??
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 03-04-2017, 07:17 AM
LINK TO POST COPIED TO CLIPBOARD